source: squid-ssl/trunk/fuentes/helpers/log_daemon/file/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 21 months ago

Initial release

File size: 39.8 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = log_file_daemon$(EXEEXT)
95subdir = helpers/log_daemon/file
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_log_file_daemon_OBJECTS = log_file_daemon.$(OBJEXT)
165log_file_daemon_OBJECTS = $(am_log_file_daemon_OBJECTS)
166@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
167am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
168        $(am__DEPENDENCIES_1)
169am__DEPENDENCIES_3 =
170log_file_daemon_DEPENDENCIES = $(am__DEPENDENCIES_2) \
171        $(am__DEPENDENCIES_3)
172AM_V_lt = $(am__v_lt_@AM_V@)
173am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
174am__v_lt_0 = --silent
175am__v_lt_1 =
176AM_V_P = $(am__v_P_@AM_V@)
177am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
178am__v_P_0 = false
179am__v_P_1 = :
180AM_V_GEN = $(am__v_GEN_@AM_V@)
181am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
182am__v_GEN_0 = @echo "  GEN     " $@;
183am__v_GEN_1 =
184AM_V_at = $(am__v_at_@AM_V@)
185am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
186am__v_at_0 = @
187am__v_at_1 =
188DEFAULT_INCLUDES =
189depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
190am__depfiles_maybe = depfiles
191am__mv = mv -f
192CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
193        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
194LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
195        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
196        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
197        $(AM_CXXFLAGS) $(CXXFLAGS)
198AM_V_CXX = $(am__v_CXX_@AM_V@)
199am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
200am__v_CXX_0 = @echo "  CXX     " $@;
201am__v_CXX_1 =
202CXXLD = $(CXX)
203CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
204        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
205        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
206AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
207am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
208am__v_CXXLD_0 = @echo "  CXXLD   " $@;
209am__v_CXXLD_1 =
210SOURCES = $(log_file_daemon_SOURCES)
211DIST_SOURCES = $(log_file_daemon_SOURCES)
212am__can_run_installinfo = \
213  case $$AM_UPDATE_INFO_DIR in \
214    n|no|NO) false;; \
215    *) (install-info --version) >/dev/null 2>&1;; \
216  esac
217am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
218# Read a list of newline-separated strings from the standard input,
219# and print each of them once, without duplicates.  Input order is
220# *not* preserved.
221am__uniquify_input = $(AWK) '\
222  BEGIN { nonempty = 0; } \
223  { items[$$0] = 1; nonempty = 1; } \
224  END { if (nonempty) { for (i in items) print i; }; } \
225'
226# Make sure the list of sources is unique.  This is necessary because,
227# e.g., the same source file might be shared among _SOURCES variables
228# for different programs/libraries.
229am__define_uniq_tagged_files = \
230  list='$(am__tagged_files)'; \
231  unique=`for i in $$list; do \
232    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
233  done | $(am__uniquify_input)`
234ETAGS = etags
235CTAGS = ctags
236am__tty_colors_dummy = \
237  mgn= red= grn= lgn= blu= brg= std=; \
238  am__color_tests=no
239am__tty_colors = { \
240  $(am__tty_colors_dummy); \
241  if test "X$(AM_COLOR_TESTS)" = Xno; then \
242    am__color_tests=no; \
243  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
244    am__color_tests=yes; \
245  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
246    am__color_tests=yes; \
247  fi; \
248  if test $$am__color_tests = yes; then \
249    red='[0;31m'; \
250    grn='[0;32m'; \
251    lgn='[1;32m'; \
252    blu='[1;34m'; \
253    mgn='[0;35m'; \
254    brg='[1m'; \
255    std='[m'; \
256  fi; \
257}
258am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
259am__vpath_adj = case $$p in \
260    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
261    *) f=$$p;; \
262  esac;
263am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
264am__install_max = 40
265am__nobase_strip_setup = \
266  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
267am__nobase_strip = \
268  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
269am__nobase_list = $(am__nobase_strip_setup); \
270  for p in $$list; do echo "$$p $$p"; done | \
271  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
272  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
273    if (++n[$$2] == $(am__install_max)) \
274      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
275    END { for (dir in files) print dir, files[dir] }'
276am__base_list = \
277  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
278  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
279am__uninstall_files_from_dir = { \
280  test -z "$$files" \
281    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
282    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
283         $(am__cd) "$$dir" && rm -f $$files; }; \
284  }
285am__recheck_rx = ^[     ]*:recheck:[    ]*
286am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
287am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
288# A command that, given a newline-separated list of test names on the
289# standard input, print the name of the tests that are to be re-run
290# upon "make recheck".
291am__list_recheck_tests = $(AWK) '{ \
292  recheck = 1; \
293  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
294    { \
295      if (rc < 0) \
296        { \
297          if ((getline line2 < ($$0 ".log")) < 0) \
298            recheck = 0; \
299          break; \
300        } \
301      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
302        { \
303          recheck = 0; \
304          break; \
305        } \
306      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
307        { \
308          break; \
309        } \
310    }; \
311  if (recheck) \
312    print $$0; \
313  close ($$0 ".trs"); \
314  close ($$0 ".log"); \
315}'
316# A command that, given a newline-separated list of test names on the
317# standard input, create the global log from their .trs and .log files.
318am__create_global_log = $(AWK) ' \
319function fatal(msg) \
320{ \
321  print "fatal: making $@: " msg | "cat >&2"; \
322  exit 1; \
323} \
324function rst_section(header) \
325{ \
326  print header; \
327  len = length(header); \
328  for (i = 1; i <= len; i = i + 1) \
329    printf "="; \
330  printf "\n\n"; \
331} \
332{ \
333  copy_in_global_log = 1; \
334  global_test_result = "RUN"; \
335  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
336    { \
337      if (rc < 0) \
338         fatal("failed to read from " $$0 ".trs"); \
339      if (line ~ /$(am__global_test_result_rx)/) \
340        { \
341          sub("$(am__global_test_result_rx)", "", line); \
342          sub("[        ]*$$", "", line); \
343          global_test_result = line; \
344        } \
345      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
346        copy_in_global_log = 0; \
347    }; \
348  if (copy_in_global_log) \
349    { \
350      rst_section(global_test_result ": " $$0); \
351      while ((rc = (getline line < ($$0 ".log"))) != 0) \
352      { \
353        if (rc < 0) \
354          fatal("failed to read from " $$0 ".log"); \
355        print line; \
356      }; \
357      printf "\n"; \
358    }; \
359  close ($$0 ".trs"); \
360  close ($$0 ".log"); \
361}'
362# Restructured Text title.
363am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
364# Solaris 10 'make', and several other traditional 'make' implementations,
365# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
366# by disabling -e (using the XSI extension "set +e") if it's set.
367am__sh_e_setup = case $$- in *e*) set +e;; esac
368# Default flags passed to test drivers.
369am__common_driver_flags = \
370  --color-tests "$$am__color_tests" \
371  --enable-hard-errors "$$am__enable_hard_errors" \
372  --expect-failure "$$am__expect_failure"
373# To be inserted before the command running the test.  Creates the
374# directory for the log if needed.  Stores in $dir the directory
375# containing $f, in $tst the test, in $log the log.  Executes the
376# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
377# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
378# will run the test scripts (or their associated LOG_COMPILER, if
379# thy have one).
380am__check_pre = \
381$(am__sh_e_setup);                                      \
382$(am__vpath_adj_setup) $(am__vpath_adj)                 \
383$(am__tty_colors);                                      \
384srcdir=$(srcdir); export srcdir;                        \
385case "$@" in                                            \
386  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
387    *) am__odir=.;;                                     \
388esac;                                                   \
389test "x$$am__odir" = x"." || test -d "$$am__odir"       \
390  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
391if test -f "./$$f"; then dir=./;                        \
392elif test -f "$$f"; then dir=;                          \
393else dir="$(srcdir)/"; fi;                              \
394tst=$$dir$$f; log='$@';                                 \
395if test -n '$(DISABLE_HARD_ERRORS)'; then               \
396  am__enable_hard_errors=no;                            \
397else                                                    \
398  am__enable_hard_errors=yes;                           \
399fi;                                                     \
400case " $(XFAIL_TESTS) " in                              \
401  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
402    am__expect_failure=yes;;                            \
403  *)                                                    \
404    am__expect_failure=no;;                             \
405esac;                                                   \
406$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
407# A shell command to get the names of the tests scripts with any registered
408# extension removed (i.e., equivalently, the names of the test logs, with
409# the '.log' extension removed).  The result is saved in the shell variable
410# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
411# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
412# since that might cause problem with VPATH rewrites for suffix-less tests.
413# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
414am__set_TESTS_bases = \
415  bases='$(TEST_LOGS)'; \
416  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
417  bases=`echo $$bases`
418RECHECK_LOGS = $(TEST_LOGS)
419AM_RECURSIVE_TARGETS = check recheck
420TEST_SUITE_LOG = test-suite.log
421TEST_EXTENSIONS = @EXEEXT@ .test
422am__test_logs1 = $(TESTS:=.log)
423am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
424TEST_LOGS = $(am__test_logs2:.test.log=.log)
425TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
426TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
427        $(TEST_LOG_FLAGS)
428am__set_b = \
429  case '$@' in \
430    */*) \
431      case '$*' in \
432        */*) b='$*';; \
433          *) b=`echo '$@' | sed 's/\.log$$//'`; \
434       esac;; \
435    *) \
436      b='$*';; \
437  esac
438am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
439        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
440DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
441ACLOCAL = @ACLOCAL@
442ADAPTATION_LIBS = @ADAPTATION_LIBS@
443ALLOCA = @ALLOCA@
444AMTAR = @AMTAR@
445AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
446AR = @AR@
447ARGZ_H = @ARGZ_H@
448AR_R = @AR_R@
449AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
450AUTH_MODULES = @AUTH_MODULES@
451AUTOCONF = @AUTOCONF@
452AUTOHEADER = @AUTOHEADER@
453AUTOMAKE = @AUTOMAKE@
454AWK = @AWK@
455BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
456BUILDCXX = @BUILDCXX@
457BUILDCXXFLAGS = @BUILDCXXFLAGS@
458BZR = @BZR@
459CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
460CC = @CC@
461CCDEPMODE = @CCDEPMODE@
462CFLAGS = @CFLAGS@
463CGIEXT = @CGIEXT@
464CHMOD = @CHMOD@
465CPP = @CPP@
466CPPFLAGS = @CPPFLAGS@
467CPPUNITCONFIG = @CPPUNITCONFIG@
468CRYPTLIB = @CRYPTLIB@
469CXX = @CXX@
470CXXCPP = @CXXCPP@
471CXXDEPMODE = @CXXDEPMODE@
472CXXFLAGS = @CXXFLAGS@
473CYGPATH_W = @CYGPATH_W@
474DEFAULT_HOSTS = @DEFAULT_HOSTS@
475DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
476DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
477DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
478DEFS = @DEFS@
479DEPDIR = @DEPDIR@
480DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
481DISK_LIBS = @DISK_LIBS@
482DISK_LINKOBJS = @DISK_LINKOBJS@
483DISK_MODULES = @DISK_MODULES@
484DISK_OS_LIBS = @DISK_OS_LIBS@
485DISK_PROGRAMS = @DISK_PROGRAMS@
486DLLTOOL = @DLLTOOL@
487DSYMUTIL = @DSYMUTIL@
488DUMPBIN = @DUMPBIN@
489ECAP_LIBS = @ECAP_LIBS@
490ECHO_C = @ECHO_C@
491ECHO_N = @ECHO_N@
492ECHO_T = @ECHO_T@
493EGREP = @EGREP@
494EPOLL_LIBS = @EPOLL_LIBS@
495EUILIB = @EUILIB@
496EXEEXT = @EXEEXT@
497EXPATLIB = @EXPATLIB@
498EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
499EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
500EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
501FALSE = @FALSE@
502FGREP = @FGREP@
503GREP = @GREP@
504HAVE_CXX11 = @HAVE_CXX11@
505ICAP_LIBS = @ICAP_LIBS@
506INCLTDL = @INCLTDL@
507INSTALL = @INSTALL@
508INSTALL_DATA = @INSTALL_DATA@
509INSTALL_PROGRAM = @INSTALL_PROGRAM@
510INSTALL_SCRIPT = @INSTALL_SCRIPT@
511INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
512KRB5INCS = @KRB5INCS@
513KRB5LIBS = @KRB5LIBS@
514LBERLIB = @LBERLIB@
515LD = @LD@
516LDAPLIB = @LDAPLIB@
517LDFLAGS = @LDFLAGS@
518LIBADD_DL = @LIBADD_DL@
519LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
520LIBADD_DLOPEN = @LIBADD_DLOPEN@
521LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
522LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
523LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
524LIBLTDL = @LIBLTDL@
525LIBOBJS = @LIBOBJS@
526LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
527LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
528LIBS = @LIBS@
529LIBSASL = @LIBSASL@
530LIBTOOL = @LIBTOOL@
531LIB_DB = @LIB_DB@
532LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
533LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
534LINUXDOC = @LINUXDOC@
535LIPO = @LIPO@
536LN = @LN@
537LN_S = @LN_S@
538LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
539LTDLDEPS = @LTDLDEPS@
540LTDLINCL = @LTDLINCL@
541LTDLOPEN = @LTDLOPEN@
542LTLIBOBJS = @LTLIBOBJS@
543LT_CONFIG_H = @LT_CONFIG_H@
544LT_DLLOADERS = @LT_DLLOADERS@
545LT_DLPREOPEN = @LT_DLPREOPEN@
546MAINT = @MAINT@
547MAKEINFO = @MAKEINFO@
548MANIFEST_TOOL = @MANIFEST_TOOL@
549MINGW_LIBS = @MINGW_LIBS@
550MKDIR = @MKDIR@
551MKDIR_P = @MKDIR_P@
552MV = @MV@
553NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
554NETTLELIB = @NETTLELIB@
555NM = @NM@
556NMEDIT = @NMEDIT@
557NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
558OBJDUMP = @OBJDUMP@
559OBJEXT = @OBJEXT@
560OTOOL = @OTOOL@
561OTOOL64 = @OTOOL64@
562PACKAGE = @PACKAGE@
563PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
564PACKAGE_NAME = @PACKAGE_NAME@
565PACKAGE_STRING = @PACKAGE_STRING@
566PACKAGE_TARNAME = @PACKAGE_TARNAME@
567PACKAGE_URL = @PACKAGE_URL@
568PACKAGE_VERSION = @PACKAGE_VERSION@
569PATH_SEPARATOR = @PATH_SEPARATOR@
570PERL = @PERL@
571PKG_CONFIG = @PKG_CONFIG@
572PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
573PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
574PO2HTML = @PO2HTML@
575PO2TEXT = @PO2TEXT@
576POD2MAN = @POD2MAN@
577RANLIB = @RANLIB@
578REGEXLIB = @REGEXLIB@
579REPL_LIBS = @REPL_LIBS@
580REPL_OBJS = @REPL_OBJS@
581REPL_POLICIES = @REPL_POLICIES@
582RM = @RM@
583SED = @SED@
584SET_MAKE = @SET_MAKE@
585SH = @SH@
586SHELL = @SHELL@
587SMBCLIENT = @SMBCLIENT@
588SNMPLIB = @SNMPLIB@
589SQUID_CFLAGS = @SQUID_CFLAGS@
590SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
591SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
592SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
593SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
594SSLLIB = @SSLLIB@
595STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
596STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
597STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
598STORE_TESTS = @STORE_TESTS@
599STRIP = @STRIP@
600TR = @TR@
601TRUE = @TRUE@
602URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
603VERSION = @VERSION@
604WBINFO = @WBINFO@
605WIN32_PSAPI = @WIN32_PSAPI@
606XMLLIB = @XMLLIB@
607XTRA_LIBS = @XTRA_LIBS@
608XTRA_OBJS = @XTRA_OBJS@
609abs_builddir = @abs_builddir@
610abs_srcdir = @abs_srcdir@
611abs_top_builddir = @abs_top_builddir@
612abs_top_srcdir = @abs_top_srcdir@
613ac_ct_AR = @ac_ct_AR@
614ac_ct_CC = @ac_ct_CC@
615ac_ct_CXX = @ac_ct_CXX@
616ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
617am__include = @am__include@
618am__leading_dot = @am__leading_dot@
619am__quote = @am__quote@
620am__tar = @am__tar@
621am__untar = @am__untar@
622bindir = @bindir@
623build = @build@
624build_alias = @build_alias@
625build_cpu = @build_cpu@
626build_os = @build_os@
627build_vendor = @build_vendor@
628builddir = @builddir@
629datadir = @datadir@
630datarootdir = @datarootdir@
631docdir = @docdir@
632dvidir = @dvidir@
633exec_prefix = @exec_prefix@
634host = @host@
635host_alias = @host_alias@
636host_cpu = @host_cpu@
637host_os = @host_os@
638host_vendor = @host_vendor@
639htmldir = @htmldir@
640includedir = @includedir@
641infodir = @infodir@
642install_sh = @install_sh@
643krb5_config = @krb5_config@
644libdir = @libdir@
645libexecdir = @libexecdir@
646localedir = @localedir@
647localstatedir = @localstatedir@
648ltdl_LIBOBJS = @ltdl_LIBOBJS@
649ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
650mandir = @mandir@
651mkdir_p = @mkdir_p@
652oldincludedir = @oldincludedir@
653pdfdir = @pdfdir@
654prefix = @prefix@
655program_transform_name = @program_transform_name@
656psdir = @psdir@
657runstatedir = @runstatedir@
658sbindir = @sbindir@
659sharedstatedir = @sharedstatedir@
660srcdir = @srcdir@
661subdirs = @subdirs@
662sys_symbol_underscore = @sys_symbol_underscore@
663sysconfdir = @sysconfdir@
664target_alias = @target_alias@
665top_build_prefix = @top_build_prefix@
666top_builddir = @top_builddir@
667top_srcdir = @top_srcdir@
668AM_CFLAGS = $(SQUID_CFLAGS)
669AM_CXXFLAGS = $(SQUID_CXXFLAGS)
670CLEANFILES =
671AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
672        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
673        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
674        $(am__append_1)
675@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
676@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
677COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
678subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
679log_file_daemon_SOURCES = log_file_daemon.cc
680log_file_daemon_LDADD = \
681        -L$(top_builddir)/lib $(COMPAT_LIB) \
682        $(XTRA_LIBS)
683
684EXTRA_DIST = required.m4
685all: all-am
686
687.SUFFIXES:
688.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
689$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
690        @for dep in $?; do \
691          case '$(am__configure_deps)' in \
692            *$$dep*) \
693              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
694                && { if test -f $@; then exit 0; else break; fi; }; \
695              exit 1;; \
696          esac; \
697        done; \
698        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/log_daemon/file/Makefile'; \
699        $(am__cd) $(top_srcdir) && \
700          $(AUTOMAKE) --foreign helpers/log_daemon/file/Makefile
701Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
702        @case '$?' in \
703          *config.status*) \
704            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
705          *) \
706            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
707            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
708        esac;
709$(top_srcdir)/src/Common.am $(am__empty):
710
711$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
712        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
713
714$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
715        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
716$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
717        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
718$(am__aclocal_m4_deps):
719
720clean-checkPROGRAMS:
721        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
722        echo " rm -f" $$list; \
723        rm -f $$list || exit $$?; \
724        test -n "$(EXEEXT)" || exit 0; \
725        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
726        echo " rm -f" $$list; \
727        rm -f $$list
728install-libexecPROGRAMS: $(libexec_PROGRAMS)
729        @$(NORMAL_INSTALL)
730        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
731        if test -n "$$list"; then \
732          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
733          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
734        fi; \
735        for p in $$list; do echo "$$p $$p"; done | \
736        sed 's/$(EXEEXT)$$//' | \
737        while read p p1; do if test -f $$p \
738         || test -f $$p1 \
739          ; then echo "$$p"; echo "$$p"; else :; fi; \
740        done | \
741        sed -e 'p;s,.*/,,;n;h' \
742            -e 's|.*|.|' \
743            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
744        sed 'N;N;N;s,\n, ,g' | \
745        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
746          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
747            if ($$2 == $$4) files[d] = files[d] " " $$1; \
748            else { print "f", $$3 "/" $$4, $$1; } } \
749          END { for (d in files) print "f", d, files[d] }' | \
750        while read type dir files; do \
751            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
752            test -z "$$files" || { \
753            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
754            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
755            } \
756        ; done
757
758uninstall-libexecPROGRAMS:
759        @$(NORMAL_UNINSTALL)
760        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
761        files=`for p in $$list; do echo "$$p"; done | \
762          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
763              -e 's/$$/$(EXEEXT)/' \
764        `; \
765        test -n "$$list" || exit 0; \
766        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
767        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
768
769clean-libexecPROGRAMS:
770        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
771        echo " rm -f" $$list; \
772        rm -f $$list || exit $$?; \
773        test -n "$(EXEEXT)" || exit 0; \
774        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
775        echo " rm -f" $$list; \
776        rm -f $$list
777
778log_file_daemon$(EXEEXT): $(log_file_daemon_OBJECTS) $(log_file_daemon_DEPENDENCIES) $(EXTRA_log_file_daemon_DEPENDENCIES)
779        @rm -f log_file_daemon$(EXEEXT)
780        $(AM_V_CXXLD)$(CXXLINK) $(log_file_daemon_OBJECTS) $(log_file_daemon_LDADD) $(LIBS)
781
782mostlyclean-compile:
783        -rm -f *.$(OBJEXT)
784
785distclean-compile:
786        -rm -f *.tab.c
787
788@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_file_daemon.Po@am__quote@
789
790.cc.o:
791@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
792@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
793@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
794@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
795@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
796@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
797
798.cc.obj:
799@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
800@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
801@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
802@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
803@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
805
806.cc.lo:
807@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
808@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
809@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
810@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
811@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
812@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
813
814mostlyclean-libtool:
815        -rm -f *.lo
816
817clean-libtool:
818        -rm -rf .libs _libs
819
820ID: $(am__tagged_files)
821        $(am__define_uniq_tagged_files); mkid -fID $$unique
822tags: tags-am
823TAGS: tags
824
825tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
826        set x; \
827        here=`pwd`; \
828        $(am__define_uniq_tagged_files); \
829        shift; \
830        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
831          test -n "$$unique" || unique=$$empty_fix; \
832          if test $$# -gt 0; then \
833            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
834              "$$@" $$unique; \
835          else \
836            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
837              $$unique; \
838          fi; \
839        fi
840ctags: ctags-am
841
842CTAGS: ctags
843ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
844        $(am__define_uniq_tagged_files); \
845        test -z "$(CTAGS_ARGS)$$unique" \
846          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
847             $$unique
848
849GTAGS:
850        here=`$(am__cd) $(top_builddir) && pwd` \
851          && $(am__cd) $(top_srcdir) \
852          && gtags -i $(GTAGS_ARGS) "$$here"
853cscopelist: cscopelist-am
854
855cscopelist-am: $(am__tagged_files)
856        list='$(am__tagged_files)'; \
857        case "$(srcdir)" in \
858          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
859          *) sdir=$(subdir)/$(srcdir) ;; \
860        esac; \
861        for i in $$list; do \
862          if test -f "$$i"; then \
863            echo "$(subdir)/$$i"; \
864          else \
865            echo "$$sdir/$$i"; \
866          fi; \
867        done >> $(top_builddir)/cscope.files
868
869distclean-tags:
870        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
871
872# Recover from deleted '.trs' file; this should ensure that
873# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
874# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
875# to avoid problems with "make -n".
876.log.trs:
877        rm -f $< $@
878        $(MAKE) $(AM_MAKEFLAGS) $<
879
880# Leading 'am--fnord' is there to ensure the list of targets does not
881# expand to empty, as could happen e.g. with make check TESTS=''.
882am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
883am--force-recheck:
884        @:
885
886$(TEST_SUITE_LOG): $(TEST_LOGS)
887        @$(am__set_TESTS_bases); \
888        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
889        redo_bases=`for i in $$bases; do \
890                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
891                    done`; \
892        if test -n "$$redo_bases"; then \
893          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
894          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
895          if $(am__make_dryrun); then :; else \
896            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
897          fi; \
898        fi; \
899        if test -n "$$am__remaking_logs"; then \
900          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
901               "recursion detected" >&2; \
902        elif test -n "$$redo_logs"; then \
903          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
904        fi; \
905        if $(am__make_dryrun); then :; else \
906          st=0;  \
907          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
908          for i in $$redo_bases; do \
909            test -f $$i.trs && test -r $$i.trs \
910              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
911            test -f $$i.log && test -r $$i.log \
912              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
913          done; \
914          test $$st -eq 0 || exit 1; \
915        fi
916        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
917        ws='[   ]'; \
918        results=`for b in $$bases; do echo $$b.trs; done`; \
919        test -n "$$results" || results=/dev/null; \
920        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
921        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
922        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
923        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
924        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
925        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
926        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
927        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
928          success=true; \
929        else \
930          success=false; \
931        fi; \
932        br='==================='; br=$$br$$br$$br$$br; \
933        result_count () \
934        { \
935            if test x"$$1" = x"--maybe-color"; then \
936              maybe_colorize=yes; \
937            elif test x"$$1" = x"--no-color"; then \
938              maybe_colorize=no; \
939            else \
940              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
941            fi; \
942            shift; \
943            desc=$$1 count=$$2; \
944            if test $$maybe_colorize = yes && test $$count -gt 0; then \
945              color_start=$$3 color_end=$$std; \
946            else \
947              color_start= color_end=; \
948            fi; \
949            echo "$${color_start}# $$desc $$count$${color_end}"; \
950        }; \
951        create_testsuite_report () \
952        { \
953          result_count $$1 "TOTAL:" $$all   "$$brg"; \
954          result_count $$1 "PASS: " $$pass  "$$grn"; \
955          result_count $$1 "SKIP: " $$skip  "$$blu"; \
956          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
957          result_count $$1 "FAIL: " $$fail  "$$red"; \
958          result_count $$1 "XPASS:" $$xpass "$$red"; \
959          result_count $$1 "ERROR:" $$error "$$mgn"; \
960        }; \
961        {                                                               \
962          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
963            $(am__rst_title);                                           \
964          create_testsuite_report --no-color;                           \
965          echo;                                                         \
966          echo ".. contents:: :depth: 2";                               \
967          echo;                                                         \
968          for b in $$bases; do echo $$b; done                           \
969            | $(am__create_global_log);                                 \
970        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
971        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
972        if $$success; then                                              \
973          col="$$grn";                                                  \
974         else                                                           \
975          col="$$red";                                                  \
976          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
977        fi;                                                             \
978        echo "$${col}$$br$${std}";                                      \
979        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
980        echo "$${col}$$br$${std}";                                      \
981        create_testsuite_report --maybe-color;                          \
982        echo "$$col$$br$$std";                                          \
983        if $$success; then :; else                                      \
984          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
985          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
986            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
987          fi;                                                           \
988          echo "$$col$$br$$std";                                        \
989        fi;                                                             \
990        $$success || exit 1
991
992check-TESTS:
993        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
994        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
995        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
996        @set +e; $(am__set_TESTS_bases); \
997        log_list=`for i in $$bases; do echo $$i.log; done`; \
998        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
999        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1000        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1001        exit $$?;
1002recheck: all $(check_PROGRAMS)
1003        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1004        @set +e; $(am__set_TESTS_bases); \
1005        bases=`for i in $$bases; do echo $$i; done \
1006                 | $(am__list_recheck_tests)` || exit 1; \
1007        log_list=`for i in $$bases; do echo $$i.log; done`; \
1008        log_list=`echo $$log_list`; \
1009        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1010                am__force_recheck=am--force-recheck \
1011                TEST_LOGS="$$log_list"; \
1012        exit $$?
1013.test.log:
1014        @p='$<'; \
1015        $(am__set_b); \
1016        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1017        --log-file $$b.log --trs-file $$b.trs \
1018        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1019        "$$tst" $(AM_TESTS_FD_REDIRECT)
1020@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1021@am__EXEEXT_TRUE@       @p='$<'; \
1022@am__EXEEXT_TRUE@       $(am__set_b); \
1023@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1024@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1025@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1026@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1027
1028distdir: $(DISTFILES)
1029        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1030        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1031        list='$(DISTFILES)'; \
1032          dist_files=`for file in $$list; do echo $$file; done | \
1033          sed -e "s|^$$srcdirstrip/||;t" \
1034              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1035        case $$dist_files in \
1036          */*) $(MKDIR_P) `echo "$$dist_files" | \
1037                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1038                           sort -u` ;; \
1039        esac; \
1040        for file in $$dist_files; do \
1041          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1042          if test -d $$d/$$file; then \
1043            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1044            if test -d "$(distdir)/$$file"; then \
1045              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1046            fi; \
1047            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1048              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1049              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1050            fi; \
1051            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1052          else \
1053            test -f "$(distdir)/$$file" \
1054            || cp -p $$d/$$file "$(distdir)/$$file" \
1055            || exit 1; \
1056          fi; \
1057        done
1058check-am: all-am
1059        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1060        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1061check: check-am
1062all-am: Makefile $(PROGRAMS)
1063installdirs:
1064        for dir in "$(DESTDIR)$(libexecdir)"; do \
1065          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1066        done
1067install: install-am
1068install-exec: install-exec-am
1069install-data: install-data-am
1070uninstall: uninstall-am
1071
1072install-am: all-am
1073        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1074
1075installcheck: installcheck-am
1076install-strip:
1077        if test -z '$(STRIP)'; then \
1078          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1079            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1080              install; \
1081        else \
1082          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1083            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1084            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1085        fi
1086mostlyclean-generic:
1087        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1088        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1089        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1090
1091clean-generic:
1092        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1093
1094distclean-generic:
1095        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1096        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1097
1098maintainer-clean-generic:
1099        @echo "This command is intended for maintainers to use"
1100        @echo "it deletes files that may require special tools to rebuild."
1101clean: clean-am
1102
1103clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1104        clean-libtool mostlyclean-am
1105
1106distclean: distclean-am
1107        -rm -rf ./$(DEPDIR)
1108        -rm -f Makefile
1109distclean-am: clean-am distclean-compile distclean-generic \
1110        distclean-tags
1111
1112dvi: dvi-am
1113
1114dvi-am:
1115
1116html: html-am
1117
1118html-am:
1119
1120info: info-am
1121
1122info-am:
1123
1124install-data-am:
1125
1126install-dvi: install-dvi-am
1127
1128install-dvi-am:
1129
1130install-exec-am: install-libexecPROGRAMS
1131
1132install-html: install-html-am
1133
1134install-html-am:
1135
1136install-info: install-info-am
1137
1138install-info-am:
1139
1140install-man:
1141
1142install-pdf: install-pdf-am
1143
1144install-pdf-am:
1145
1146install-ps: install-ps-am
1147
1148install-ps-am:
1149
1150installcheck-am:
1151
1152maintainer-clean: maintainer-clean-am
1153        -rm -rf ./$(DEPDIR)
1154        -rm -f Makefile
1155maintainer-clean-am: distclean-am maintainer-clean-generic
1156
1157mostlyclean: mostlyclean-am
1158
1159mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1160        mostlyclean-libtool
1161
1162pdf: pdf-am
1163
1164pdf-am:
1165
1166ps: ps-am
1167
1168ps-am:
1169
1170uninstall-am: uninstall-libexecPROGRAMS
1171
1172.MAKE: check-am install-am install-strip
1173
1174.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1175        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1176        clean-libtool cscopelist-am ctags ctags-am distclean \
1177        distclean-compile distclean-generic distclean-libtool \
1178        distclean-tags distdir dvi dvi-am html html-am info info-am \
1179        install install-am install-data install-data-am install-dvi \
1180        install-dvi-am install-exec install-exec-am install-html \
1181        install-html-am install-info install-info-am \
1182        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1183        install-ps install-ps-am install-strip installcheck \
1184        installcheck-am installdirs maintainer-clean \
1185        maintainer-clean-generic mostlyclean mostlyclean-compile \
1186        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1187        recheck tags tags-am uninstall uninstall-am \
1188        uninstall-libexecPROGRAMS
1189
1190.PRECIOUS: Makefile
1191
1192
1193$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1194
1195# Tell versions [3.59,3.63) of GNU make to not export all variables.
1196# Otherwise a system limit (for SysV at least) may be exceeded.
1197.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.